<?xml version="1.0" encoding="utf-8" ?>
<nlog xmlns="http://www.nlog-project.org/schemas/NLog.xsd"
      xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">

  <targets>
    <target xsi:type="File" name="asyncFile" fileName="${specialfolder:folder=CommonApplicationData}/Freemake/FreemakeAudioConverter/SummaryLog.txt"/>
    <target xsi:type="File" deleteOldFileOnStartup="true" name="processLogFile" fileName="${specialfolder:folder=CommonApplicationData}/Freemake/FreemakeAudioConverter/${processid}.txt"/>
    <target xsi:type="File" name="statFile" fileName="${specialfolder:folder=CommonApplicationData}/Freemake/FreemakeAudioConverter/Statistics.txt" layout="${message}"/>
    <target xsi:type="File" name="statErrorFile" fileName="${specialfolder:folder=CommonApplicationData}/Freemake/FreemakeAudioConverter/Statistics.txt" layout="Statistics Error=&quot;${message}&quot;"/>
    <target xsi:type="File" name="statWarnFile" fileName="${specialfolder:folder=CommonApplicationData}/Freemake/FreemakeAudioConverter/Statistics.txt" layout="Statistics Warn=&quot;${message}&quot;"/>
  </targets>

  <rules>
    <logger name="Common.StatisticLog" level="Info" writeTo="statFile" final="true" />
    <logger name="*" minlevel="Info" writeTo="asyncFile" />
    <logger name="*" minlevel="Info" writeTo="processLogFile" />
    <logger name="*" level="Error" writeTo="statErrorFile" />
    <logger name="*" level="Warn" writeTo="statWarnFile" />
  </rules>
</nlog>
